Subject: bug#12836: automake-1.12 make check: FAIL:2

From: Stefano Lattarini <[email-masked]>
Date: Thu, 15 Nov 2012 17:24:56 +0100

Hi Tru, sorry for the further delay.

On 11/08/2012 10:17 PM, Tru Huynh wrote:
> On Thu, Nov 08, 2012 at 08:27:28PM +0100, Stefano Lattarini wrote:
>> I've done several fixes to the Automake testsuite since 1.12 was released;
>> could you please try with the last released version (1.12.4) and see if
>> these issues persist?
> 
> sure:
> 
> tar xzvf ~/sources/automake-1.12.4.tar.gz 
> cd automake-1.12.4/
> ./configure --prefix=/c5/shared/automake/1.12.4
> make && make install && make check
> ....
> ============================================================================
> Testsuite summary for GNU Automake 1.12.4
> ============================================================================
> # TOTAL: 2633
> # PASS:  2380
> # SKIP:  211
> # XFAIL: 40
> # FAIL:  2
> # XPASS: 0
> # ERROR: 0
> ============================================================================
> See ./test-suite.log
> Please report to [email-masked]
> ============================================================================
> 

> FAIL: t/lex-header
> ==================
>
> lex-header: running flex --version
> flex version 2.5.4
>
Yikes!  According to what I see in <http://flex.sourceforge.net/>, this
flex version is fifteen years old!  The failure here is due to the fact
that we are assuming a flex feature (support for the "--header-file"
option) that is not present in such an old version.  So we can consider
this a spurious error; and the fact that all the other test cases on lex
support have passed shows that Automake-generated rules can actually
work very well even with such an old flex version.

(and BTW, I'd reeally suggest you to update your flex installation ;-)

> FAIL: t/help2
> ==============
>
> + aclocal-1.12
> + cat stderr
> NONE:0: /usr/bin/m4: ERROR: end of file in string
> autom4te: /usr/bin/m4 failed with exit status: 1
> aclocal-1.12: error: autom4te failed with exit status: 1
> + /bin/grep -F acinclude.m4 stderr
> + am_exit_trap 1
> + exit_status=1
>
This too sounds like a spurious error, in that the error message we
expected from this particular aclocal invocation is there, but it's
not as "precise" as we'd like it to be.  Not a big deal, and not
really aclocal's fault, since the error message comes from GNU m4.
May I ask you which m4 version re you using?  That is unfortunately
not registered in config.log ...

-*-*-

In conclusion: these two failures are just negligible testsuite
weaknesses, that we can safely ignore.  And the automake you have
built should be perfectly safe for production use.

I will close this bug report soonish (I'm still keeping it open
because I'd like to know the m4 version you're using).

Thanks,
  Stefano